import { useState } from 'react';
import DeployList from "../../components/dashboard/DeployList";
import DeploymentLog from "../../components/dashboard/DeploymentLog";

export default function Home() {
  const [log, setLog] = useState<string>('');
  const [token] = useState<string>(''); // Ensure token is always a string

  return (
    <>
      <div className="grid grid-cols-12 gap-4 md:gap-6">
        <div className="col-span-12 space-y-6">
          <DeployList setLog={setLog} token={token} /> {/* Pass setActionType to DeployList */}
        </div>
        <div className="col-span-12">
          <DeploymentLog log={log} />
        </div>
      </div>
    </>
  );
}